org.springframework.r2dbc.core.binding

## Class MutableBindings

- java.lang.Object
- - org.springframework.r2dbc.core.binding.Bindings
  - - org.springframework.r2dbc.core.binding.MutableBindings

- All Implemented Interfaces:
    Iterable<Bindings.Binding>

      public class MutableBindings
      extends Bindings

  Mutable extension to `Bindings` for Value and `null` bindings for a `Statement` using `BindMarkers`.
  Since:
    5.3
  Author:
    Mark Paluch

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.springframework.r2dbc.core.binding.Bindings

      `Bindings.Binding`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MutableBindings(BindMarkers markers)` Create new `MutableBindings`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MutableBindings` | `bind(BindMarker marker, Object value)` Bind a value to `BindMarker`.
    `BindMarker` | `bind(Object value)` Bind a value and return the related `BindMarker`.
    `MutableBindings` | `bindNull(BindMarker marker, Class<?> valueType)` Bind a `NULL` value to `BindMarker`.
    `BindMarker` | `bindNull(Class<?> valueType)` Bind a `NULL` value and return the related `BindMarker`.
    `BindMarker` | `nextMarker()` Obtain the next `BindMarker`.
    `BindMarker` | `nextMarker(String hint)` Obtain the next `BindMarker` with a name `hint`.

    - ### Methods inherited from class org.springframework.r2dbc.core.binding.Bindings

      `and, apply, empty, forEach, getBindings, iterator, merge, spliterator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MutableBindings

          public MutableBindings(BindMarkers markers)

      Create new `MutableBindings`.
      Parameters:
        `markers` - the `BindMarkers` to wrap

  - ### Method Detail

    - #### nextMarker

          public BindMarker nextMarker()

      Obtain the next `BindMarker`. Increments `BindMarkers` state
      Returns:
        the next `BindMarker`

    - #### nextMarker

          public BindMarker nextMarker(String hint)

      Obtain the next `BindMarker` with a name `hint`. Increments `BindMarkers` state.
      Parameters:
        `hint` - name hint
      Returns:
        the next `BindMarker`

    - #### bind

          public MutableBindings bind(BindMarker marker,
                                      Object value)

      Bind a value to `BindMarker`.
      Parameters:
        `marker` - the `BindMarker` to bind to
        `value` - the value to bind

    - #### bind

          public BindMarker bind(Object value)

      Bind a value and return the related `BindMarker`. Increments `BindMarkers` state.
      Parameters:
        `value` - the value to bind

    - #### bindNull

          public MutableBindings bindNull(BindMarker marker,
                                          Class<?> valueType)

      Bind a `NULL` value to `BindMarker`.
      Parameters:
        `marker` - the `BindMarker` to bind to
        `valueType` - the value type

    - #### bindNull

          public BindMarker bindNull(Class<?> valueType)

      Bind a `NULL` value and return the related `BindMarker`. Increments `BindMarkers` state.
      Parameters:
        `valueType` - the value type